<?php
// Site Title Color
$shapla->customizer->add_field([
	'settings'    => 'header_background_color',
	'type'        => 'color',
	'section'     => 'colors',
	'label'       => __( 'Header Background Color', 'shapla' ),
	'default'     => '#212a34',
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.site-header',
			'property' => 'background-color',
		),
	),
]);
$shapla->customizer->add_field([
	'settings'    => 'header_text_color',
	'type'        => 'color',
	'section'     => 'colors',
	'label'       => __( 'Header Text Color', 'shapla' ),
	'default'     => '#f1f1f1',
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => array(
				'.site-title > a',
				'.site-title > a:hover',
				'.site-title > a:focus',
				'.site-description',
				'.menu-toggle',
				'.dropdown-toggle',
				'.main-navigation a',
			),
			'property' => 'color',
		),
		array(
			'element'  => array(
				'.menu-toggle',
			),
			'property' => 'border-color',
		),
	),
]);
$shapla->customizer->add_field([
	'settings'    => 'header_link_color',
	'type'        => 'color',
	'section'     => 'colors',
	'label'       => __( 'Header Link Color', 'shapla' ),
	'default'     => '#96588a',
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => array(
				'.dropdown-toggle:hover',
				'.dropdown-toggle:focus',
				'.main-navigation .current-menu-item > a',
				'.main-navigation .current-menu-ancestor > a',
				'.main-navigation a:hover',
				'.main-navigation a:focus',
			),
			'property' => 'color',
		),
		array(
			'element'  => array(
				'.main-navigation li:hover > a',
				'.main-navigation li:focus > a',
			),
			'property' => 'color',
			'media_query' => '@media screen and (min-width: 768px)'
		),
	),
]);

// Footer Widget Area
$shapla->customizer->add_field([
	'settings'    => 'footer_widget_background_color',
	'type'        => 'color',
	'section'     => 'colors',
	'label'       => __( 'Footer Widget Background Color', 'shapla' ),
	'default'     => '#212a34',
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => array(
				'.footer-widget-area',
				'.footer-widget-area table tr:nth-child(odd)',
				'.footer-widget-area table tr:nth-child(even)',
			),
			'property' => 'background-color',
		),
	),
]);
$shapla->customizer->add_field([
	'settings'    => 'footer_widget_text_color',
	'type'        => 'color',
	'section'     => 'colors',
	'label'       => __( 'Footer Widget Text Color', 'shapla' ),
	'default'     => '#f1f1f1',
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => array(
				'.footer-widget-area',
				'.footer-widget-area li:before',
			),
			'property' => 'color',
		),
		array(
			'element'  => array(
				'.footer-widget-area .widget-title',
				'.footer-widget-area table',
				'.footer-widget-area table tr',
			),
			'property' => 'border-color',
		),
	),
]);
$shapla->customizer->add_field([
	'settings'    => 'footer_widget_link_color',
	'type'        => 'color',
	'section'     => 'colors',
	'label'       => __( 'Footer Widget Link Color', 'shapla' ),
	'default'     => '#f1f1f1',
	'priority'    => 10,
	'output' => array(
		array(
			'element'  => '.footer-widget-area a',
			'property' => 'color',
		),
	),
]);

// Site Footer Color
$shapla->customizer->add_field([
	'settings'    => 'site_footer_bg_color',
	'type'        => 'color',
	'section'     => 'colors',
	'label'       => __( 'Footer Background Color', 'shapla' ),
	'default'     => '#19212a',
	'priority'    => 20,
	'output' => array(
		array(
			'element'  => '.site-footer',
			'property' => 'background-color',
		),
	),
]);

$shapla->customizer->add_field([
	'settings'    => 'site_footer_text_color',
	'type'        => 'color',
	'section'     => 'colors',
	'label'       => __( 'Footer Text Color', 'shapla' ),
	'default'     => '#9e9e9e',
	'priority'    => 30,
	'output' => array(
		array(
			'element'  => '.site-footer',
			'property' => 'color',
		),
	),
]);
$shapla->customizer->add_field([
	'settings'    => 'site_footer_link_color',
	'type'        => 'color',
	'section'     => 'colors',
	'label'       => __( 'Footer Link Color', 'shapla' ),
	'default'     => '#f1f1f1',
	'priority'    => 30,
	'output' => array(
		array(
			'element'  => '.site-footer a',
			'property' => 'color',
		),
	),
]);
